OpenStack Designate Puppet Module
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.

metadata.json 2.2KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081
  1. {
  2. "author": "Xingchao Yu and OpenStack Contributors",
  3. "dependencies": [
  4. {
  5. "name": "puppetlabs/inifile",
  6. "version_requirement": ">=2.0.0 <3.0.0"
  7. },
  8. {
  9. "name": "openstack/keystone",
  10. "version_requirement": ">=15.0.0 <16.0.0"
  11. },
  12. {
  13. "name": "puppetlabs/rabbitmq",
  14. "version_requirement": ">=8.4.0 <9.0.0"
  15. },
  16. {
  17. "name": "puppetlabs/mysql",
  18. "version_requirement": ">=6.0.0 <9.0.0"
  19. },
  20. {
  21. "name": "puppetlabs/stdlib",
  22. "version_requirement": ">=5.0.0 <6.0.0"
  23. },
  24. {
  25. "name": "theforeman/dns",
  26. "version_requirement": ">=5.3.1 <6.0.0"
  27. },
  28. {
  29. "name": "openstack/openstacklib",
  30. "version_requirement": ">=15.0.0 <16.0.0"
  31. },
  32. {
  33. "name": "openstack/oslo",
  34. "version_requirement": ">=15.0.0 <16.0.0"
  35. },
  36. {
  37. "name": "antonlindstrom/powerdns",
  38. "version_requirement": ">=0.0.5 <1.0.0"
  39. }
  40. ],
  41. "description": "Installs and configures OpenStack Designate (DNS Services).",
  42. "issues_url": "https://bugs.launchpad.net/puppet-designate",
  43. "license": "Apache-2.0",
  44. "name": "openstack-designate",
  45. "operatingsystem_support": [
  46. {
  47. "operatingsystem": "Debian",
  48. "operatingsystemrelease": [
  49. "9"
  50. ]
  51. },
  52. {
  53. "operatingsystem": "Fedora",
  54. "operatingsystemrelease": [
  55. "24"
  56. ]
  57. },
  58. {
  59. "operatingsystem": "RedHat",
  60. "operatingsystemrelease": [
  61. "7"
  62. ]
  63. },
  64. {
  65. "operatingsystem": "Ubuntu",
  66. "operatingsystemrelease": [
  67. "18.04"
  68. ]
  69. }
  70. ],
  71. "project_page": "https://launchpad.net/puppet-designate",
  72. "requirements": [
  73. {
  74. "name": "puppet",
  75. "version_requirement": "5.x"
  76. }
  77. ],
  78. "source": "git://github.com/openstack/puppet-designate.git",
  79. "summary": "Puppet module for OpenStack Designate",
  80. "version": "15.0.0"
  81. }